<?xml version="1.0" encoding="iso-8859-1"?>
<!-- Addenda de Nissan basada en AMECE 7.1  :: By Daniel Herrera Tello.    -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="iso-8859-1"/>
	<xsl:template match="/">
	<xsl:element name="requestForPayment">
		<xsl:attribute name="contentVersion">1.3.1</xsl:attribute>
		<xsl:attribute name="documentStructureVersion">AMC7.1</xsl:attribute>
		<xsl:choose>
			<xsl:when test="Datos/Documento/XMLAddenda/Documento/Generales/@CancelaSustituye !=''">
				<xsl:attribute name="documentStatus">REEMPLAZA</xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="documentStatus">ORIGINAL</xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:attribute name="DeliveryDate"><xsl:value-of select="substring(Datos/CFD/@Fecha,1,10)"/></xsl:attribute>
		<xsl:variable name="tpodoc" select="Datos/Documento/@TipoDocumento"/>
		<xsl:element name="requestForPaymentIdentification">
			<xsl:element name="entityType">
				<xsl:choose>
					<xsl:when test="$tpodoc = 0">
							<xsl:text>INVOICE</xsl:text>
					</xsl:when>
					<xsl:when test="$tpodoc = 1">
							<xsl:text>INVOICE</xsl:text>
					</xsl:when>
					<xsl:when test="$tpodoc = 2">
						<xsl:text>CREDIT_NOTE</xsl:text>
					</xsl:when>
					<xsl:when test="$tpodoc = 3">
						<xsl:text>DEBIT_NOTE</xsl:text>
					</xsl:when>
					<xsl:when test="$tpodoc = 4">
						<xsl:text>HONORARY_RECEIPT</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>NO_DEFINIDO</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:element name="uniqueCreatorIdentification">
				<xsl:value-of select="concat(Datos/CFD/@Serie,Datos/CFD/@Folio)"/>
			</xsl:element>
		</xsl:element>
		<xsl:element name="specialInstruction">
			<xsl:attribute name="code">ZZZ</xsl:attribute>
			<xsl:element name="text">
				<xsl:value-of select="substring(Datos/Documento/@ImporteLetra,2,string-length(Datos/Documento/@ImporteLetra)-2)"/>
			</xsl:element>
		</xsl:element>
		<xsl:variable name="regla"  select="translate(Datos/Documento/XMLAddenda/Documento/Generales/@Regla4.3.15,'s','S')"/>
		<xsl:if test="$regla = 'S'">
			<xsl:element name="specialInstruction">
				<xsl:attribute name="code">PUR</xsl:attribute>
				<xsl:element name="text">
					<xsl:text>Esta operacin se efecta en los trminos de lo dispuesto en la regla 4.3.15 de la ley aduanera</xsl:text>
				</xsl:element>
			</xsl:element>
		</xsl:if>
		<xsl:if test="Datos/Documento/OrdenesCompra/OrdenCompra/@No !=''">   
			<xsl:element name="orderIdentification">
				<xsl:for-each select="Datos/Documento/OrdenesCompra/OrdenCompra">
					<xsl:element name="referenceIdentification">
						<xsl:attribute name="type">ON</xsl:attribute>
						<xsl:value-of select="@No"/>
					</xsl:element>
					<xsl:if test="@Fecha != ''">
						<xsl:element name="ReferenceDate">
							<xsl:value-of select="substring(@Fecha,1,10)"/>
						</xsl:element>
					</xsl:if>
				</xsl:for-each>
			</xsl:element>
		</xsl:if>
		<xsl:element name="AdditionalInformation">
			<xsl:element name="referenceIdentification">
				<xsl:attribute name="type">ACE</xsl:attribute>
				<xsl:choose>
					<xsl:when test="Datos/Documento/XMLAddenda/Documento/Generales/@NumPropuestaNMEX != ''">
						<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/Generales/@NumPropuestaNMEX"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="Datos/CFD/@Folio"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="concat(Datos/CFD/@Serie,Datos/CFD/@Folio)"/>
			</xsl:element>
			<xsl:if test="$tpodoc = 2 or $tpodoc = 3">
				<xsl:element name="referenceIdentification">
					<xsl:attribute name="type">IV</xsl:attribute>
						<xsl:value-of select="Datos/Documento/XMLAddenda/Documento/Generales/@RefAdicional"/>
				</xsl:element>
			</xsl:if>
		</xsl:element>
		<xsl:variable name="trbos" select="count(/Datos/Documento/RecibosMercancia/ReciboMercancia)"/>
		<xsl:if test="$trbos &gt; 0">
			<xsl:element name="DeliveryNote">
				<xsl:for-each select="/Datos/Documento/RecibosMercancia/ReciboMercancia">
					<xsl:element name="referenceIdentification">
						<xsl:value-of select="@Folio"/>
					</xsl:element>
					<xsl:if test="@Fecha !=''">
						<xsl:element name="ReferenceDate">
							<xsl:value-of select="substring(@Fecha,1,10)"/>
						</xsl:element>
					</xsl:if>
				</xsl:for-each>
			</xsl:element>				
		</xsl:if>
		<xsl:element name="buyer">
			<xsl:element name="gln">
				<xsl:value-of select="Datos/Receptor/@RFC"/> <!--Adecuacion para Nissan -->
			</xsl:element>
			<xsl:if test="Datos/Receptor/@Contacto !=''">
				<xsl:element name="contactInformation">
					<xsl:element name="personOrDepartmentName">
						<xsl:element name="text">
							<xsl:value-of select="substring(Datos/Receptor/@Contacto,1,35)"/>
						</xsl:element>
					</xsl:element>
				</xsl:element>
			</xsl:if>
		</xsl:element>
		<xsl:element name="seller">
			<xsl:element name="gln">
				<!--xsl:value-of select="Datos/Emisor/Domicilio/@noLclGlobal"/--> <!--Estandar Amece -->
				<xsl:value-of select="Datos/Emisor/@RFC"/> <!--Adecuacion para Nissan -->
			</xsl:element>
			<xsl:element name="alternatePartyIdentification">
				<xsl:attribute name="type">SELLER_ASSIGNED_IDENTIFIER_FOR_A_PARTY</xsl:attribute>
				<xsl:value-of select="Datos/Emisor/@noProveedor"/>
			</xsl:element>
		</xsl:element>
		<xsl:if test="Datos/Receptor/Destino/@Localidad != ''">
			<xsl:element name="shipTo">
				<xsl:if test="Datos/Receptor/Destino/@noLclGlobal != ''">
					<xsl:element name="gln">
						<xsl:value-of select="Datos/Receptor/@RFC"/> <!--Adecuacion para Bodesa -->
					</xsl:element>
				</xsl:if>
				<xsl:if test="Datos/Receptor/Destino/@Localidad != ''">
					<xsl:element name="nameAndAddress">
						<xsl:element name="name">
							<xsl:value-of select="substring(Datos/Receptor/Destino/@Nombre,1,35)"/>
						</xsl:element>
						<xsl:element name="streetAddressOne">
							<xsl:choose>
								<xsl:when test="string-length(Datos/Receptor/Destino/@Colonia) &gt; 0">
									<xsl:value-of select="substring(concat(Datos/Receptor/Destino/@Calle,'No. ',Datos/Receptor/Destino/@noExterior,' ',Datos/Receptor/Destino/@noInterior,'Col. ',Datos/Receptor/Destino/@Colonia),1,35)"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="substring(concat(Datos/Receptor/Destino/@Calle,'No. ',Datos/Receptor/Destino/@noExterior,' ',Datos/Receptor/Destino/@noInterior),1,35)"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:element>
						<xsl:if test="Datos/Receptor/Destino/@Localidad != ''">
							<xsl:element name="city">
								<xsl:value-of select="substring(Datos/Receptor/Destino/@Localidad,1,35)"/>
							</xsl:element>
						</xsl:if>
						<xsl:if test="Datos/Receptor/Destino/@CodigoPostal != ''">
							<xsl:element name="postalCode">
								<xsl:value-of select="Datos/Receptor/Destino/@CodigoPostal"/>
							</xsl:element>
						</xsl:if>
					</xsl:element>
				</xsl:if>
			</xsl:element>
		</xsl:if>
		<xsl:variable name="dirsucursal" select="concat(Datos/Emisor/Sucursal/@Calle,Datos/Emisor/Sucursal/@noExterior,Datos/Emisor/Sucursal/@noInterior,Datos/Emisor/Sucursal/@Colonia)"/>
		<!--xsl:if test="$dirsucursal !=''"-->
			<xsl:element name="InvoiceCreator">
				<!--xsl:if test="Datos/Emisor/Sucursal/@noLclGlobal !=''"-->
					<xsl:element name="gln">
						<!--xsl:value-of select="Datos/Emisor/Sucursal/@noLclGlobal"/-->
						<xsl:value-of select="Datos/Emisor/@RFC"/> <!-- Adecuacion para Nissan -->
					</xsl:element>
				<!--/xsl:if-->
				<xsl:element name="alternatePartyIdentification">
					<xsl:attribute name="type">IA</xsl:attribute>
					<xsl:value-of select="Datos/Emisor/@noProveedor"/>
				</xsl:element>
				<!--xsl:element name="nameAndAddress">
					<xsl:element name="name">
						<xsl:value-of select="substring(Datos/Emisor/@Nombre,1,35)"/>
					</xsl:element>
					<xsl:if test="$dirsucursal !=''">
						<xsl:element name="streetAddressOne">
							<xsl:value-of select="substring(concat(Datos/Emisor/Sucursal/@Calle,' ',Datos/Emisor/Sucursal/@noExterior,' ',Datos/Emisor/Sucursal/@noInterior,' ',Datos/Emisor/Sucursal/@Colonia),1,35)"/>
						</xsl:element>
					</xsl:if>
					<xsl:if test="Datos/Emisor/Sucursal/@Localidad !=''">
						<xsl:element name="city">
							<xsl:value-of select="substring(Datos/Emisor/Sucursal/@Localidad,1,35)"/>
						</xsl:element>
					</xsl:if>
					<xsl:if test="Datos/Emisor/Sucursal/@CodigoPostal !=''">
						<xsl:element name="postalCode">
							<xsl:value-of select="Datos/Emisor/Sucursal/@CodigoPostal"/>
						</xsl:element>
					</xsl:if>
				</xsl:element-->
			</xsl:element>
		<!--/xsl:if-->
		<xsl:element name="currency">
			<xsl:attribute name="currencyISOCode">
				<xsl:variable name="tpomon" select="Datos/Documento/@TipoMoneda"/>
				<xsl:choose>
					<xsl:when test="$tpomon = 0">
						<xsl:text>MXN</xsl:text>
					</xsl:when>
					<xsl:when test="$tpomon = 1">
						<xsl:text>MXN</xsl:text>
					</xsl:when>
					<xsl:when test="$tpomon = 2">
						<xsl:text>USD</xsl:text>
					</xsl:when>
					<xsl:when test="$tpomon = 3">
						<xsl:text>XEU</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:element name="currencyFunction">
				<xsl:text>BILLING_CURRENCY</xsl:text>
			</xsl:element>
			<xsl:element name="rateOfChange">
				<xsl:value-of select="format-number(Datos/Documento/@TipoCambio,'0.00')"/>
			</xsl:element>
		</xsl:element>
		<xsl:element name="paymentTerms">
			<xsl:attribute name="paymentTermsEvent">DATE_OF_INVOICE</xsl:attribute>
			<xsl:attribute name="PaymentTermsRelationTime">REFERENCE_AFTER</xsl:attribute>
			<xsl:element name="netPayment">
				<xsl:attribute name="netPaymentTermsType">BASIC_NET</xsl:attribute>
				<xsl:element name="paymentTimePeriod">
					<xsl:element name="timePeriodDue">
						<xsl:attribute name="timePeriod">DAYS</xsl:attribute>
						<xsl:element name="value">
							<xsl:value-of select="Datos/Documento/@PlazoPago"/>
						</xsl:element>
					</xsl:element>
				</xsl:element>
			</xsl:element>
		</xsl:element>
		<xsl:for-each select="Datos/Documento/Descuentos/Descuento">
			<xsl:if test="@Porcentaje &gt; 0">
				<xsl:element name="allowanceCharge">
					<xsl:attribute name="allowanceChargeType">ALLOWANCE_GLOBAL</xsl:attribute>
					<xsl:attribute name="settlementType">OFF_INVOICE</xsl:attribute>
					<xsl:element name="specialServicesType">
						<xsl:text>DI</xsl:text>
					</xsl:element>
					<xsl:element name="monetaryAmountOrPercentage">
						<xsl:element name="rate">
							<xsl:attribute name="base">INVOICE_VALUE</xsl:attribute>
							<xsl:element name="percentage">
								<xsl:value-of select='format-number(@Porcentaje,"0.00")'/>
							</xsl:element>
						</xsl:element>
					</xsl:element>
				</xsl:element>
			</xsl:if>
		</xsl:for-each>
		<xsl:for-each select="Datos/Documento/Partidas/Partida">
			<xsl:element name="lineItem">
				<xsl:attribute name="type">SimpleInvoiceLineItemType</xsl:attribute>
				<xsl:attribute name="number"><xsl:value-of select="position()"/></xsl:attribute>
				<xsl:element name="tradeItemIdentification">
					<xsl:element name="gtin">
						<xsl:choose>
							<xsl:when test="@CodigoBarras != ''">
								<xsl:value-of select="@CodigoBarras"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="@CodigoCliente"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
				</xsl:element>
				<xsl:if test="./XMLAddenda/Documento/Generales/@NumRAN !=''">
					<xsl:element name="alternateTradeItemIdentification">
						<xsl:attribute name="type">BUYER_ASSIGNED</xsl:attribute>
						<xsl:value-of select="./XMLAddenda/Documento/Generales/@NumRAN"/>
					</xsl:element>
				</xsl:if>
				<xsl:element name="tradeItemDescriptionInformation">
					<xsl:attribute name="language"><xsl:text>ES</xsl:text></xsl:attribute>
					<xsl:element name="longText">
						<xsl:value-of select="substring(@Descripcion,1,35)"/>
					</xsl:element>
				</xsl:element>
				<xsl:element name="invoicedQuantity">
					<xsl:attribute name="unitOfMeasure">
						<xsl:choose>
							<xsl:when test="@UnidadMedida = 'PZA'">
								<xsl:text>EA</xsl:text>
							</xsl:when>
							<xsl:when test="@NombreUnidadMedida = 'PIEZA'">
								<xsl:text>EA</xsl:text>
							</xsl:when>
							<xsl:when test="@NombreUnidadMedida = 'PIEZAS'">
								<xsl:text>EA</xsl:text>
							</xsl:when>
							<xsl:when test="@UnidadMedida = 'CJA'">
								<xsl:text>CA</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="@UnidadMedida"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:value-of select="format-number(@Cantidad,'0.00')"/>
				</xsl:element>
				<xsl:if test="@CantidadReferencial &gt; 0">
					<xsl:element name="aditionalQuantity">
						<xsl:attribute name="QuantityType"><xsl:text>NUM_CONSUMER_UNITS</xsl:text></xsl:attribute>
						<xsl:choose>
							<xsl:when test="@CantidadReferencial &gt; 0">
								<xsl:value-of select="format-number(@CantidadReferencial,'0')"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>1</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
				</xsl:if>
				<xsl:element name="grossPrice">
					<xsl:element name="Amount">
						<xsl:value-of select='format-number(@PrecioBruto,"0.00")'/>
					</xsl:element>
				</xsl:element>
				<xsl:element name="netPrice">
					<xsl:element name="Amount">
						<xsl:value-of select='format-number(@PrecioNeto,"0.00")'/>
					</xsl:element>
				</xsl:element>
				<xsl:element name="AdditionalInformation">
					<xsl:element name="referenceIdentification">
						<xsl:attribute name="type">ON</xsl:attribute>
						<xsl:value-of select="/Datos/Documento/OrdenesCompra/OrdenCompra/@No"/> <!--Adecuacion para Bodesa -->
					</xsl:element>
				</xsl:element>
				<xsl:if test="Pedimentos/Pedimento/@noLclGlobalAdn !=''">
					<xsl:if test="Pedimentos/Pedimento/@No !=''">
						<xsl:if test="Pedimentos/Pedimento/@Fecha !=''">
							<xsl:if test="Pedimentos/Pedimento/@Aduana !=''">
								<xsl:element name="Customs">
									<xsl:if test="Pedimentos/Pedimento/@noLclGlobalAdn !=''">
										<xsl:element name="gln">
											<xsl:value-of select="Pedimentos/Pedimento/@noLclGlobalAdn"/>
										</xsl:element>
									</xsl:if>
									<xsl:element name="alternatePartyIdentification">
										<xsl:attribute name="type"><xsl:text>TN</xsl:text></xsl:attribute>
										<xsl:value-of select="Pedimentos/Pedimento/@No"/>
									</xsl:element>
									<xsl:element name="ReferenceDate">
										<xsl:value-of select="substring(Pedimentos/Pedimento/@Fecha,1,10)"/>
									</xsl:element>
									<xsl:element name="nameAndAddress">
										<xsl:element name="name">
											<xsl:value-of select="Pedimentos/Pedimento/@Aduana"/>
										</xsl:element>
									</xsl:element>
								</xsl:element>
							</xsl:if>
						</xsl:if>
					</xsl:if>
				</xsl:if>
				<xsl:if test="Lotes/Lote/@no != ''">
					<xsl:element name="extendedAttributes">
						<xsl:element name="lotNumber">
							<xsl:attribute name="productionDate"><xsl:value-of select="substring(Lotes/Lote/@Fecha,1,10)"/></xsl:attribute>
							<xsl:value-of select="Lotes/Lote/@no"/>
						</xsl:element>
					</xsl:element>
				</xsl:if>
				<xsl:for-each select="Descuentos/Descuento">
					<xsl:if test="@Porcentaje &gt; 0">
						<xsl:element name="allowanceCharge">
							<xsl:attribute name="allowanceChargeType">ALLOWANCE_GLOBAL</xsl:attribute>
							<xsl:attribute name="settlementType">OFF_INVOICE</xsl:attribute>
							<xsl:element name="specialServicesType">
								<xsl:text>DI</xsl:text>
							</xsl:element>
							<xsl:element name="monetaryAmountOrPercentage">
								<xsl:element name="percentagePerUnit">
									<xsl:value-of select='format-number(@Porcentaje,"0.00")'/>
								</xsl:element>
								<xsl:element name="ratePerUnit">
									<xsl:element name="amountPerUnit">
										<xsl:variable name="suma_desc_doc" select="sum(../../../../Descuentos/Descuento/@Porcentaje)"/>
										<xsl:choose>
											<xsl:when test="$suma_desc_doc &gt; 0">
												<xsl:variable name="importe_desc" select="((../../@PrecioBruto) - (../../@PrecioBruto * ($suma_desc_doc div 100))) * (@Porcentaje div 100)"/>
												<xsl:value-of select='format-number($importe_desc,"0.00")'/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:variable name="importe_desc" select="(../../@PrecioBruto) * (@Porcentaje div 100)"/>
												<xsl:value-of select='format-number($importe_desc,"0.00")'/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:element>
								</xsl:element>
							</xsl:element>
						</xsl:element>
					</xsl:if>
				</xsl:for-each>
				<xsl:for-each select="Impuestos/Impuesto">
					<xsl:if test="@Porcentaje &gt; 0">
						<xsl:element name="tradeItemTaxInformation">
							<xsl:variable name="tpoimp_t" select="@Tipo"/>
							<xsl:element name="taxTypeDescription">
								<xsl:choose>
									<xsl:when test="$tpoimp_t = 'IVA'">
										<xsl:text>VAT</xsl:text>
									</xsl:when>
									<xsl:when test="$tpoimp_t = 'IEPS'">
										<xsl:text>GST</xsl:text>
									</xsl:when>
									<xsl:when test="$tpoimp_t = 'RISR'">
										<xsl:text>LAC</xsl:text>
									</xsl:when>
									<xsl:when test="$tpoimp_t = 'RIVA'">
										<xsl:text>VAT</xsl:text>
									</xsl:when>
									<xsl:otherwise>
										<xsl:text/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:element>
							<xsl:element name="tradeItemTaxAmount">
								<xsl:element name="taxPercentage">
									<xsl:value-of select='format-number(@Porcentaje,"0.00")'/>
								</xsl:element>
								<xsl:element name="taxAmount">
									<xsl:value-of select='format-number(@Importe,"0.00")'/>
								</xsl:element>
							</xsl:element>
							<xsl:element name="taxCategory">
								<xsl:choose>
									<xsl:when test="$tpoimp_t = 'IVA'"><xsl:text>TRANSFERIDO</xsl:text></xsl:when>
									<xsl:when test="$tpoimp_t = 'IEPS'"><xsl:text>TRANSFERIDO</xsl:text></xsl:when>
									<xsl:when test="$tpoimp_t = 'RIVA'"><xsl:text>RETENIDO</xsl:text></xsl:when>
									<xsl:when test="$tpoimp_t = 'RISR'"><xsl:text>RETENIDO</xsl:text></xsl:when>
								</xsl:choose>
							</xsl:element>	
						</xsl:element>
					</xsl:if>
				</xsl:for-each>
				<xsl:element name="totalLineAmount">
					<xsl:element name="grossAmount">
						<xsl:element name="Amount">
							<xsl:value-of select='format-number(@ImpNeto,"0.00")'/>
						</xsl:element>
					</xsl:element>
					<xsl:element name="netAmount">
						<xsl:element name="Amount">
							<xsl:value-of select='format-number(@SubTotal,"0.00")'/>
						</xsl:element>
					</xsl:element>
				</xsl:element>
			</xsl:element>
		</xsl:for-each>
		<xsl:element name="totalAmount">
			<xsl:element name="Amount">
				<xsl:value-of select='format-number(Datos/Documento/@ImpNeto,"0.00")'/>
			</xsl:element>
		</xsl:element>
		<xsl:if test="Datos/Documento/@ImpDescuentos &gt; 0">
			<xsl:element name="TotalAllowanceCharge">
				<xsl:attribute name="allowanceOrChargeType">ALLOWANCE</xsl:attribute>
				<xsl:element name="specialServicesType">
					<xsl:text>DI</xsl:text>
				</xsl:element>
				<xsl:element name="Amount">
					<xsl:value-of select='format-number(Datos/Documento/@ImpDescuentos,"0.00")'/>
				</xsl:element>
			</xsl:element>
		</xsl:if>
		<xsl:element name="baseAmount">
			<xsl:element name="Amount">
				<xsl:value-of select='format-number(Datos/Documento/@SubTotal,"0.00")'/>
			</xsl:element>
		</xsl:element>
		<xsl:for-each select="Datos/Documento/Impuestos/Impuesto">
			<xsl:variable name="tpoimp_t2" select="@Tipo"/>
			<xsl:element name="tax">
				<xsl:attribute name="type">
					<xsl:choose>
						<xsl:when test="$tpoimp_t2 = 'IVA'">
							<xsl:text>VAT</xsl:text>
						</xsl:when>
						<xsl:when test="$tpoimp_t2 = 'IEPS'">
							<xsl:text>GST</xsl:text>
						</xsl:when>
						<xsl:when test="$tpoimp_t2 = 'RISR'">
							<xsl:text>LAC</xsl:text>
						</xsl:when>
						<xsl:when test="$tpoimp_t2 = 'RIVA'">
							<xsl:text>VAT</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:element name="taxPercentage">
					<xsl:value-of select='format-number(@Porcentaje,"0.00")'/>
				</xsl:element>
				<xsl:element name="taxAmount">
					<xsl:value-of select='format-number(@Importe,"0.00")'/>
				</xsl:element>
				<xsl:element name="taxCategory">
					<xsl:choose>
						<xsl:when test="$tpoimp_t2 = 'IVA'"><xsl:text>TRANSFERIDO</xsl:text></xsl:when>
						<xsl:when test="$tpoimp_t2 = 'IEPS'"><xsl:text>TRANSFERIDO</xsl:text></xsl:when>
						<xsl:when test="$tpoimp_t2 = 'RISR'"><xsl:text>RETENIDO</xsl:text></xsl:when>
						<xsl:when test="$tpoimp_t2 = 'RIVA'"><xsl:text>RETENIDO</xsl:text></xsl:when>
						<xsl:otherwise><xsl:text>INDEFINIDO</xsl:text></xsl:otherwise>
					</xsl:choose>						
				</xsl:element>
			</xsl:element>
		</xsl:for-each>
		<xsl:element name="payableAmount">
			<xsl:element name="Amount">
				<xsl:value-of select='format-number(Datos/Documento/@ImpTotal,"0.00")'/>
			</xsl:element>
		</xsl:element>
	</xsl:element>
	</xsl:template>
</xsl:stylesheet>